org.apache.avro.specific

## Class SpecificErrorBuilderBase<T extends SpecificExceptionBase>

- java.lang.Object
- - org.apache.avro.data.RecordBuilderBase<T>
  - - org.apache.avro.specific.SpecificErrorBuilderBase<T>

All Implemented Interfaces:
  ErrorBuilder<T>, RecordBuilder<T>

    public abstract class SpecificErrorBuilderBase<T extends SpecificExceptionBase>
    extends RecordBuilderBase<T>
    implements ErrorBuilder<T>

Abstract base class for specific ErrorBuilder implementations. Not thread-safe.

### Constructor Summary

Constructors
`protected` `SpecificErrorBuilderBase(Schema schema)` Creates a SpecificErrorBuilderBase for building errors of the given type.
`protected` `SpecificErrorBuilderBase(Schema schema, SpecificData model)` Creates a SpecificErrorBuilderBase for building errors of the given type.
`protected` `SpecificErrorBuilderBase(SpecificErrorBuilderBase<T> other)` SpecificErrorBuilderBase copy constructor.
`protected` `SpecificErrorBuilderBase(T other)` Creates a SpecificErrorBuilderBase by copying an existing error instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`SpecificErrorBuilderBase<T>` `clearCause()` Clears the cause
`SpecificErrorBuilderBase<T>` `clearValue()` Clears the value
`Throwable` `getCause()` Gets the error cause
`Object` `getValue()` Gets the value
`boolean` `hasCause()` Checks whether the cause has been set
`boolean` `hasValue()` Checks whether the value has been set
`SpecificErrorBuilderBase<T>` `setCause(Throwable cause)` Sets the error cause
`SpecificErrorBuilderBase<T>` `setValue(Object value)` Sets the value

### Methods inherited from class org.apache.avro.data.RecordBuilderBase

`data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.avro.data.RecordBuilder

`build`

### Constructor Detail

#### SpecificErrorBuilderBase

    protected SpecificErrorBuilderBase(Schema schema)

Creates a SpecificErrorBuilderBase for building errors of the given type.

Parameters:
  `schema` - the schema associated with the error class.

#### SpecificErrorBuilderBase

    protected SpecificErrorBuilderBase(Schema schema,
                                       SpecificData model)

Creates a SpecificErrorBuilderBase for building errors of the given type.

Parameters:
  `schema` - the schema associated with the error class.
  `model` - the SpecificData instance associated with the error class

#### SpecificErrorBuilderBase

    protected SpecificErrorBuilderBase(SpecificErrorBuilderBase<T> other)

SpecificErrorBuilderBase copy constructor.

Parameters:
  `other` - SpecificErrorBuilderBase instance to copy.

#### SpecificErrorBuilderBase

    protected SpecificErrorBuilderBase(T other)

Creates a SpecificErrorBuilderBase by copying an existing error instance.

Parameters:
  `other` - the error instance to copy.

### Method Detail

#### getValue

    public Object getValue()

Description copied from interface: `ErrorBuilder`
Gets the value

Specified by:
  `getValue` in interface `ErrorBuilder<T extends SpecificExceptionBase>`

#### setValue

    public SpecificErrorBuilderBase<T> setValue(Object value)

Description copied from interface: `ErrorBuilder`
Sets the value

Specified by:
  `setValue` in interface `ErrorBuilder<T extends SpecificExceptionBase>`

#### hasValue

    public boolean hasValue()

Description copied from interface: `ErrorBuilder`
Checks whether the value has been set

Specified by:
  `hasValue` in interface `ErrorBuilder<T extends SpecificExceptionBase>`

#### clearValue

    public SpecificErrorBuilderBase<T> clearValue()

Description copied from interface: `ErrorBuilder`
Clears the value

Specified by:
  `clearValue` in interface `ErrorBuilder<T extends SpecificExceptionBase>`

#### getCause

    public Throwable getCause()

Description copied from interface: `ErrorBuilder`
Gets the error cause

Specified by:
  `getCause` in interface `ErrorBuilder<T extends SpecificExceptionBase>`

#### setCause

    public SpecificErrorBuilderBase<T> setCause(Throwable cause)

Description copied from interface: `ErrorBuilder`
Sets the error cause

Specified by:
  `setCause` in interface `ErrorBuilder<T extends SpecificExceptionBase>`

#### hasCause

    public boolean hasCause()

Description copied from interface: `ErrorBuilder`
Checks whether the cause has been set

Specified by:
  `hasCause` in interface `ErrorBuilder<T extends SpecificExceptionBase>`

#### clearCause

    public SpecificErrorBuilderBase<T> clearCause()

Description copied from interface: `ErrorBuilder`
Clears the cause

Specified by:
  `clearCause` in interface `ErrorBuilder<T extends SpecificExceptionBase>`